System Requirements

MozCC 2 runs on Firefox 2 or later.

For details on using older versions of MozCC with Firefox 1.0, 1.5, Flock or the Mozilla Suite, see MozCC Legacy Versions.

Download & Install

Most users should install the latest version of MozCC by visiting Installing from will allow upgrades to be automatically downloaded as they become available.

Testers can download pre-release versions of MozCC from this page. These versions have received some testing, and are released here in order to get feedback and additional testing before releasing on Information is available here on reporting bugs in MozCC.

Most recent test release:

If you would like to be notified of future releases, you may subscribe to the cc-devel mailing list. The mailing list is relatively low traffic and is used for developer discussion.